> For the complete documentation index, see [llms.txt](https://docs.pentaho.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.pentaho.com/pdia-admin/9.3-administer/customize-pentaho-products-cp/customize-pentaho-analyzer/control-empty-rows-in-reports-customize-analyzer.md).

# Control empty rows in reports

As an administrator, you can enable or disable the **Show empty rows** property at the Pentaho Server level. You can use this property to prevent a cross-join that is resource-intensive on the server. The values for the **Show empty rows** property are:

* **enable**

  All users have access (default).
* **Disable**

  No users have access.
* **adminOnly**

  Only admin users have access.

To control the report option, perform the following steps:

1. Navigate to the `pentaho-server/pentaho-solutions/system/analyzer/` directory and open the `analyzer.properties` file with any text editor.
2. Set the report options **showEmpty** property to **enable**.

   The **Show rows or columns with** drop-down menu displays in the **Report Options**dialog box, as shown in the following example:

   ![Analyzer Report Options dialog box](https://3182222531-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2Fyhc3bngZcKKslt2AoVA3%2Fuploads%2Fgit-blob-2004d2e0ef46e2f48d6d5d44d4b4bf8e5df29f2a%2FPDI%20Analyzer%20Report%20Options%20dialog%20box.png?alt=media)
3. Choose one of the following options:
   * **Measure Data.**
   * **Measure and Calculated Measure data**
   * **Show all even blank measures**
4. Restart the Pentaho Server.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.pentaho.com/pdia-admin/9.3-administer/customize-pentaho-products-cp/customize-pentaho-analyzer/control-empty-rows-in-reports-customize-analyzer.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
